# Uses of Enum Class
org.bukkit.inventory.ItemFlag

Packages that use ItemFlag
Package
Description
org.bukkit.inventory
Classes involved in manipulating player inventories and item interactions.
org.bukkit.inventory.meta
The interfaces used when manipulating extra data can can be stored inside `item stacks`.

## Uses of ItemFlag in org.bukkit.inventory

Methods in org.bukkit.inventory that return ItemFlag
Modifier and Type
Method
Description
`static ItemFlag`
ItemFlag.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static ItemFlag[]`
ItemFlag.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in org.bukkit.inventory that return types with arguments of type ItemFlag
Modifier and Type
Method
Description
`Set<ItemFlag>`
ItemStack.`getItemFlags()`
Get current set itemFlags.
Methods in org.bukkit.inventory with parameters of type ItemFlag
Modifier and Type
Method
Description
`void`
ItemStack.`addItemFlags(@NotNull ItemFlag... itemFlags)`
Set itemflags which should be ignored when rendering a ItemStack in the Client.
`boolean`
ItemStack.`hasItemFlag(@NotNull ItemFlag flag)`
Check if the specified flag is present on this item.
`void`
ItemStack.`removeItemFlags(@NotNull ItemFlag... itemFlags)`
Remove specific set of itemFlags.

## Uses of ItemFlag in org.bukkit.inventory.meta

Methods in org.bukkit.inventory.meta that return types with arguments of type ItemFlag
Modifier and Type
Method
Description
`@NotNull Set<ItemFlag>`
ItemMeta.`getItemFlags()`
Get current set itemFlags.
Methods in org.bukkit.inventory.meta with parameters of type ItemFlag
Modifier and Type
Method
Description
`void`
ItemMeta.`addItemFlags(@NotNull ItemFlag... itemFlags)`
Set itemflags which should be ignored when rendering a ItemStack in the Client.
`boolean`
ItemMeta.`hasItemFlag(@NotNull ItemFlag flag)`
Check if the specified flag is present on this item.
`void`
ItemMeta.`removeItemFlags(@NotNull ItemFlag... itemFlags)`
Remove specific set of itemFlags.